共用方式為


Managed Instance Tde Certificates - Create

為指定的伺服器建立 TDE 憑證。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/tdeCertificates?api-version=2025-01-01

URI 參數

名稱 位於 必要 類型 Description
managedInstanceName
path True

string

受控實例的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
properties.privateBlob True

string

base64 編碼的憑證私人 Blob。

properties.certPassword

string

憑證密碼。

回應

名稱 類型 Description
200 OK

要求已成功。

202 Accepted

已接受資源作業。

標題

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Upload a TDE certificate

範例要求

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000001/resourceGroups/testtdecert/providers/Microsoft.Sql/managedInstances/testtdecert/tdeCertificates?api-version=2025-01-01

{
  "properties": {
    "privateBlob": "MIIXXXXXXXX"
  }
}

範例回覆

Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000001/providers/Microsoft.Sql/locations/westus/managedInstanceTdeCertificateOperationResults/00000000-0000-0000-0000-000000000001?api-version=2017-10-01-preview

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

systemData

與建立和上次修改資源相關的元數據。

TdeCertificate

可上傳至伺服器的 TDE 憑證。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

TdeCertificate

可上傳至伺服器的 TDE 憑證。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

資源的名稱

properties.certPassword

string

憑證密碼。

properties.privateBlob

string

base64 編碼的憑證私人 Blob。

systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」